Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.view
Class AbstractMvcViewFactory

    java.lang.Object
      org.springframework.webflow.mvc.view.AbstractMvcViewFactory

All Implemented Interfaces:
  ViewFactory

Direct Known Subclasses:
  PortletMvcViewFactory, ServletMvcViewFactory

    public abstract class AbstractMvcViewFactory

extends java.lang.Object
implements ViewFactory

Base class for mvc view factories.

Author:
  Keith Donald

Constructor Summary
`AbstractMvcViewFactory(Expression viewId, FlowViewResolver viewResolver, ExpressionParser expressionParser, ConversionService conversionService, BinderConfiguration binderConfiguration, org.springframework.validation.MessageCodesResolver messageCodesResolver)` Creates a new MVC view factory.

Method Summary
`protected abstract AbstractMvcView` | `createMvcView(org.springframework.web.servlet.View view, RequestContext context)` Abstract factory method subclasses should implement to return the concrete MVC view implementation.
`View` | `getView(RequestContext context)` Get the view to render for this request.
`void` | `setEventIdParameterName(java.lang.String eventIdParameterName)`
`void` | `setFieldMarkerPrefix(java.lang.String fieldMarkerPrefix)`
`void` | `setValidator(org.springframework.validation.Validator validator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMvcViewFactory

    public AbstractMvcViewFactory(Expression viewId,
                                  FlowViewResolver viewResolver,
                                  ExpressionParser expressionParser,
                                  ConversionService conversionService,
                                  BinderConfiguration binderConfiguration,
                                  org.springframework.validation.MessageCodesResolver messageCodesResolver)

  Creates a new MVC view factory.

  Parameters:
    `viewId` - the id of the view as an expression
    `viewResolver` - the resolver to resolve the View implementation
    `expressionParser` - the expression parser
    `conversionService` - the conversion service
    `binderConfiguration` - the model binding configuration

Method Detail

### setEventIdParameterName

    public void setEventIdParameterName(java.lang.String eventIdParameterName)

### setFieldMarkerPrefix

    public void setFieldMarkerPrefix(java.lang.String fieldMarkerPrefix)

### setValidator

    public void setValidator(org.springframework.validation.Validator validator)

### getView

    public View getView(RequestContext context)

  Description copied from interface: `ViewFactory`
  Get the view to render for this request.

  Specified by:
    `getView` in interface `ViewFactory`
  Parameters:
    `context` - the flow execution request context.
  Returns:
    the view to render

### createMvcView

    protected abstract AbstractMvcView createMvcView(org.springframework.web.servlet.View view,
                                                     RequestContext context)

  Abstract factory method subclasses should implement to return the concrete MVC view implementation.

  Parameters:
    `view` - the actual resolved view implementation
    `context` - the current request context
  Returns:
    the mvc view

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD